<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Systems/Bot/Bot_TestSpamUserActions.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/da1/_bot___test_spam_user_actions_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Bot_TestSpamUserActions.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/da1/_bot___test_spam_user_actions_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d3/d18/class_bot_test_spam_user_actions___start.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d18/class_bot_test_spam_user_actions___start.html">BotTestSpamUserActions_Start</a> : BotTimedWait</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/d18/class_bot_test_spam_user_actions___start.html#a6fc93a46f287810ef94aad10d1c111d4">    4</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d18/class_bot_test_spam_user_actions___start.html#a6fc93a46f287810ef94aad10d1c111d4">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d3/d18/class_bot_test_spam_user_actions___start.html#a102199e5ab5b86030a1bbe0b8c184bc0">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d18/class_bot_test_spam_user_actions___start.html#a102199e5ab5b86030a1bbe0b8c184bc0">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot;BotTestSpamUserActions_Start::OnExit&quot;</span>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="comment">/*if (GetGame().IsServer() &amp;&amp; GetGame().IsMultiplayer())</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">        {</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment">            botDebugPrint(&quot;[bot] + &quot; + m_Owner + &quot;BotTestSpamUserActions_Start spamming!&quot;);</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">            for (int i = 0; i &lt; 10000; ++i)</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">                Print(&quot;Lovely SPAAAAAM!&quot;);</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">        }*/</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        super.OnExit(e);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>}</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="keyword">class </span>BotTestSpamUserActions_GetEntityFromSlot : BotTimedWait</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#ab9f2e4c781619dc7f3ae47069f6d27f5">   28</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> = null;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a384488860f92ffe324d980a77cd2d9be">   29</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a384488860f92ffe324d980a77cd2d9be">m_Run</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">   30</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a> = 0;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a504ab69882d7085a6f9891ddb5154d0f">   31</a></span>    ref <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aaee13280ad07a33aaa28304b129b1742">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_variable" href="../../d3/d45/_hand___states_8c.html#ab171464d5b5a8a59c9a3d0cd46902770">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> = m_Owner.GetInventory().FindAttachment(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Legs&quot;</span>));</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot;BotTestSpamUserActions_GetEntityFromSlot item=&quot;</span> + <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a>.SetGroundPosByOwner(m_Owner, <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="comment">/*if (!m_Entity.GetInventory().GetCurrentInventoryLocation(m_Src))</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment">        {</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">            Error(&quot;NI!&quot;);</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">        }*/</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> = m_Owner.GetInventory().FindAttachment(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Legs&quot;</span>));</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            m_Owner.PredictiveDropEntity(<a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a898353b76e46049f7561e65ae07d9196">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/_hand___states_8c.html#a9a267010a0879eb3f4511fb0d2dbb633">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> = null;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        super.OnExit(e);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#abf66986e08676e65b1e4fbf3c5f69f48">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a384488860f92ffe324d980a77cd2d9be">m_Run</a> &amp;&amp; <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                <span class="keywordflow">switch</span> (<a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a>)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                    <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; STS = &quot;</span> + m_Owner.GetSimulationTimeStamp() + <span class="stringliteral">&quot; Stage=&quot;</span> + <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a> + <span class="stringliteral">&quot; item=&quot;</span> + <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                        <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a> ctx = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                        HandEventTake e = <span class="keyword">new</span> HandEventTake(m_Owner, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                        <a class="code hl_class" href="../../d8/d9b/class_inventory_input_user_data.html">InventoryInputUserData</a>.<a class="code hl_function" href="../../d8/d9b/class_inventory_input_user_data.html#aada3694498f25c7713379f01f4b0b9a7">SerializeHandEvent</a>(ctx, e);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                        ctx.<a class="code hl_function" href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">Send</a>();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                    <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; STS = &quot;</span> + m_Owner.GetSimulationTimeStamp() + <span class="stringliteral">&quot; Stage=&quot;</span> + <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a> + <span class="stringliteral">&quot; item=&quot;</span> + <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                        <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a> ctx1 = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                        HandEventTake e1 = <span class="keyword">new</span> HandEventTake(m_Owner, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                        <a class="code hl_class" href="../../d8/d9b/class_inventory_input_user_data.html">InventoryInputUserData</a>.<a class="code hl_function" href="../../d8/d9b/class_inventory_input_user_data.html#aada3694498f25c7713379f01f4b0b9a7">SerializeHandEvent</a>(ctx1, e1);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                        ctx1.<a class="code hl_function" href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">Send</a>();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                    <span class="keywordflow">case</span> 5:</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; STS = &quot;</span> + m_Owner.GetSimulationTimeStamp() + <span class="stringliteral">&quot; Stage=&quot;</span> + <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a> + <span class="stringliteral">&quot; item=&quot;</span> + <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                        <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a> ctx2 = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                        dst.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a844f213574a12ef6d95e269feeb35cef">SetAttachment</a>(m_Owner, <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>, <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Legs&quot;</span>));</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                        <a class="code hl_class" href="../../d8/d9b/class_inventory_input_user_data.html">InventoryInputUserData</a>.<a class="code hl_function" href="../../d8/d9b/class_inventory_input_user_data.html#ad549c32bdc1e816040479c773417f8e2">SerializeMove</a>(ctx2, <a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a43d2389269799752817d23aec2f7dfa3">InventoryCommandType</a>.SYNC_MOVE, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a>, dst);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                        ctx2.<a class="code hl_function" href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">Send</a>();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                    <span class="keywordflow">case</span> 10:</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; STS = &quot;</span> + m_Owner.GetSimulationTimeStamp() + <span class="stringliteral">&quot; Stage=&quot;</span> + <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a> + <span class="stringliteral">&quot; item=&quot;</span> + <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                        <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a> ctx3 = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst2 = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                        dst2.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a844f213574a12ef6d95e269feeb35cef">SetAttachment</a>(m_Owner, <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>, <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="stringliteral">&quot;Legs&quot;</span>));</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                        <a class="code hl_class" href="../../d8/d9b/class_inventory_input_user_data.html">InventoryInputUserData</a>.<a class="code hl_function" href="../../d8/d9b/class_inventory_input_user_data.html#ad549c32bdc1e816040479c773417f8e2">SerializeMove</a>(ctx3, <a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a43d2389269799752817d23aec2f7dfa3">InventoryCommandType</a>.SYNC_MOVE, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a>, dst2);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                        ctx3.<a class="code hl_function" href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">Send</a>();</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                    <span class="comment">/*</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="comment">                    case 0:</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="comment">                        botDebugPrint(&quot;[bot] + &quot; + m_Owner + &quot;Stage0 item=&quot; + m_Entity);</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment">                        m_Owner.PredictiveTakeEntityToHands(m_Entity);</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="comment">                        break;</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="comment"></span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="comment">                    case 1:</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">                        botDebugPrint(&quot;[bot] + &quot; + m_Owner + &quot;Stage1 item=&quot; + m_Entity);</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="comment">                        m_Owner.PredictiveTakeEntityToHands(m_Entity);</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="comment">                        break;</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="comment"></span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="comment">                    case 2:</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="comment">                        botDebugPrint(&quot;[bot] + &quot; + m_Owner + &quot;Stage2 item=&quot; + m_Entity);</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="comment">                        m_Owner.PredictiveTakeEntityAsAttachmentEx(m_Entity, InventorySlots.GetSlotIdFromString(&quot;Legs&quot;));</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="comment">                        break;</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="comment"></span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="comment">                    case 3:</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="comment">                        botDebugPrint(&quot;[bot] + &quot; + m_Owner + &quot;Stage3 item=&quot; + m_Entity);</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="comment">                        m_Owner.PredictiveTakeEntityAsAttachmentEx(m_Entity, InventorySlots.GetSlotIdFromString(&quot;Legs&quot;));</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="comment">                        break;*/</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                ++<a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a6fce6b937b672f94b08eedd6ab3d3729">  132</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a6fce6b937b672f94b08eedd6ab3d3729">OnTimeout</a> ()</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        super.OnTimeout();</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot;BotTestSpamUserActions_GetEntityFromSlot item=&quot;</span> + <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> &amp;&amp; <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a384488860f92ffe324d980a77cd2d9be">m_Run</a> == <span class="keyword">false</span>)</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a384488860f92ffe324d980a77cd2d9be">m_Run</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <a class="code hl_variable" href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a> = 0;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>}</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html">  147</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dba/class_bot_test_spam_user_actions.html">BotTestSpamUserActions</a> : <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>{</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f4a53ac19bc5e9a1e671c8573e04c43">  149</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f4a53ac19bc5e9a1e671c8573e04c43">m_Entity</a>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2282fa117f00bbc9536e1127337c0c75">  150</a></span>    ref <a class="code hl_class" href="../../d3/d18/class_bot_test_spam_user_actions___start.html">BotTestSpamUserActions_Start</a> <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2282fa117f00bbc9536e1127337c0c75">m_Start</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f071028f60c136dff7b4968ce2bfd25">  151</a></span>    ref BotTestSpamUserActions_GetEntityFromSlot <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f071028f60c136dff7b4968ce2bfd25">m_GetRef</a>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    <span class="comment">//ref BotTimedWait m_Wait;</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2aa3e18331637078473ea18a35fa4113">  154</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2aa3e18331637078473ea18a35fa4113">BotTestSpamUserActions</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL)</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="comment">// setup nested state machine</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a5712a81dbf037bea376d4367460d0fde">m_FSM</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_bot_f_s_m">BotFSM</a>(<span class="keyword">this</span>); <span class="comment">// @NOTE: set owner of the submachine fsm</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2282fa117f00bbc9536e1127337c0c75">m_Start</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d3/d18/class_bot_test_spam_user_actions___start.html">BotTestSpamUserActions_Start</a>(<a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#afdbe86887ce76fed64b35e4c81d857d8">m_Bot</a>, <span class="keyword">this</span>, 1.0);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f071028f60c136dff7b4968ce2bfd25">m_GetRef</a> = <span class="keyword">new</span> BotTestSpamUserActions_GetEntityFromSlot(<a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#afdbe86887ce76fed64b35e4c81d857d8">m_Bot</a>, <span class="keyword">this</span>, 2.0);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="comment">// events</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __EntWait__ = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d5f/class_bot_event_wait_timeout.html">BotEventWaitTimeout</a>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="comment">// transitions</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a5712a81dbf037bea376d4367460d0fde">m_FSM</a>.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(   <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2282fa117f00bbc9536e1127337c0c75">m_Start</a>, __EntWait__, <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f071028f60c136dff7b4968ce2bfd25">m_GetRef</a>));</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a5712a81dbf037bea376d4367460d0fde">m_FSM</a>.SetInitialState(<a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a2282fa117f00bbc9536e1127337c0c75">m_Start</a>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#a8c7ed5ff17c02a1e4de7cce66d252437">  171</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dba/class_bot_test_spam_user_actions.html#a8c7ed5ff17c02a1e4de7cce66d252437">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f4a53ac19bc5e9a1e671c8573e04c43">m_Entity</a> = null;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a1c281712242ccc1845916cd24b237f20">m_Owner</a>.GetInventory().CreateAttachment(<span class="stringliteral">&quot;PolicePantsOrel&quot;</span>); <span class="comment">// no assign to m_Entity</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a1c281712242ccc1845916cd24b237f20">m_Owner</a> + <span class="stringliteral">&quot; created attachment item=&quot;</span> + <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f4a53ac19bc5e9a1e671c8573e04c43">m_Entity</a>);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#af489ee89ba63268080fbd074602e7ff7">  184</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dba/class_bot_test_spam_user_actions.html#af489ee89ba63268080fbd074602e7ff7">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_variable" href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f4a53ac19bc5e9a1e671c8573e04c43">m_Entity</a> = null;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        super.OnExit(e);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../d8/dba/class_bot_test_spam_user_actions.html#aa76be0e19a6e3f030f7e43df999b3d79">  191</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dba/class_bot_test_spam_user_actions.html#aa76be0e19a6e3f030f7e43df999b3d79">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>}</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_inventory_8c_html_a43d2389269799752817d23aec2f7dfa3"><div class="ttname"><a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a43d2389269799752817d23aec2f7dfa3">InventoryCommandType</a></div><div class="ttdeci">InventoryCommandType</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00002">Inventory.c:3</a></div></div>
<div class="ttc" id="a_bot_8c_html_a2cc868d5ca0b15d073aac0daefb7dfeb"><div class="ttname"><a href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a></div><div class="ttdeci">void botDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00182">Bot.c:182</a></div></div>
<div class="ttc" id="a_bot___test_spam_user_actions_8c_html_a384488860f92ffe324d980a77cd2d9be"><div class="ttname"><a href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a384488860f92ffe324d980a77cd2d9be">m_Run</a></div><div class="ttdeci">bool m_Run</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00029">Bot_TestSpamUserActions.c:29</a></div></div>
<div class="ttc" id="a_bot___test_spam_user_actions_8c_html_a6fce6b937b672f94b08eedd6ab3d3729"><div class="ttname"><a href="../../d9/da1/_bot___test_spam_user_actions_8c.html#a6fce6b937b672f94b08eedd6ab3d3729">OnTimeout</a></div><div class="ttdeci">override void OnTimeout()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00132">Bot_TestSpamUserActions.c:132</a></div></div>
<div class="ttc" id="a_bot___test_spam_user_actions_8c_html_aebe87b7ce5f768bf317b5f5bee39069a"><div class="ttname"><a href="../../d9/da1/_bot___test_spam_user_actions_8c.html#aebe87b7ce5f768bf317b5f5bee39069a">m_RunStage</a></div><div class="ttdeci">int m_RunStage</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00030">Bot_TestSpamUserActions.c:30</a></div></div>
<div class="ttc" id="a_bot_f_s_m_8c_html_ae0f31efa3104368661141b422545f27c"><div class="ttname"><a href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a></div><div class="ttdeci">FSMTransition&lt; BotStateBase, BotEventBase, BotActionBase, BotGuardBase &gt; BotTransition</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0a/_bot_f_s_m_8c_source.html#l00007">BotFSM.c:7</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a504ab69882d7085a6f9891ddb5154d0f"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a504ab69882d7085a6f9891ddb5154d0f">m_Src</a></div><div class="ttdeci">ref InventoryLocation m_Src</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00043">Hand_Events.c:43</a></div></div>
<div class="ttc" id="a_hand___states_8c_html_a9a267010a0879eb3f4511fb0d2dbb633"><div class="ttname"><a href="../../d3/d45/_hand___states_8c.html#a9a267010a0879eb3f4511fb0d2dbb633">OnExit</a></div><div class="ttdeci">override void OnExit(HandEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d45/_hand___states_8c_source.html#l00028">Hand_States.c:28</a></div></div>
<div class="ttc" id="a_hand___states_8c_html_ab171464d5b5a8a59c9a3d0cd46902770"><div class="ttname"><a href="../../d3/d45/_hand___states_8c.html#ab171464d5b5a8a59c9a3d0cd46902770">OnEntry</a></div><div class="ttdeci">HandStateEquipped OnEntry</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db3/_weapon_chambering_8c_source.html#l00285">WeaponChambering.c:285</a></div></div>
<div class="ttc" id="a_plugin_item_diagnostic_8c_html_a5409d59c30dd053fe7160f39a0e55166"><div class="ttname"><a href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a></div><div class="ttdeci">class PluginItemDiagnosticEventHandler extends ScriptedWidgetEventHandler m_Entity</div></div>
<div class="ttc" id="aclass_bot_event_base_html"><div class="ttname"><a href="../../dd/d84/class_bot_event_base.html">BotEventBase</a></div><div class="ttdoc">represents event that triggers transition from state to state</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df2/_bot_events_8c_source.html#l00004">BotEvents.c:5</a></div></div>
<div class="ttc" id="aclass_bot_event_wait_timeout_html"><div class="ttname"><a href="../../d2/d5f/class_bot_event_wait_timeout.html">BotEventWaitTimeout</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00002">Bot_TimedWait.c:2</a></div></div>
<div class="ttc" id="aclass_bot_html"><div class="ttname"><a href="../../de/d69/class_bot.html">Bot</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00018">Bot.c:19</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div><div class="ttdoc">represent weapon state base</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d38/_bot___hunt_8c_source.html#l00015">Bot_Hunt.c:16</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a1c281712242ccc1845916cd24b237f20"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a1c281712242ccc1845916cd24b237f20">BotStateBase::m_Owner</a></div><div class="ttdeci">PlayerBase m_Owner</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd0/_bot_states_8c_source.html#l00012">BotStates.c:12</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a5712a81dbf037bea376d4367460d0fde"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a5712a81dbf037bea376d4367460d0fde">BotStateBase::m_FSM</a></div><div class="ttdeci">ref BotFSM m_FSM</div><div class="ttdoc">hierarchical parent state of this state (or null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd0/_bot_states_8c_source.html#l00015">BotStates.c:15</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_afdbe86887ce76fed64b35e4c81d857d8"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#afdbe86887ce76fed64b35e4c81d857d8">BotStateBase::m_Bot</a></div><div class="ttdeci">Bot m_Bot</div><div class="ttdoc">man that this state belongs to</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd0/_bot_states_8c_source.html#l00013">BotStates.c:13</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions___start_html"><div class="ttname"><a href="../../d3/d18/class_bot_test_spam_user_actions___start.html">BotTestSpamUserActions_Start</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00002">Bot_TestSpamUserActions.c:3</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions___start_html_a102199e5ab5b86030a1bbe0b8c184bc0"><div class="ttname"><a href="../../d3/d18/class_bot_test_spam_user_actions___start.html#a102199e5ab5b86030a1bbe0b8c184bc0">BotTestSpamUserActions_Start::OnExit</a></div><div class="ttdeci">override void OnExit(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00010">Bot_TestSpamUserActions.c:10</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions___start_html_a6fc93a46f287810ef94aad10d1c111d4"><div class="ttname"><a href="../../d3/d18/class_bot_test_spam_user_actions___start.html#a6fc93a46f287810ef94aad10d1c111d4">BotTestSpamUserActions_Start::OnEntry</a></div><div class="ttdeci">override void OnEntry(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00004">Bot_TestSpamUserActions.c:4</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html">BotTestSpamUserActions</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00147">Bot_TestSpamUserActions.c:148</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_a2282fa117f00bbc9536e1127337c0c75"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#a2282fa117f00bbc9536e1127337c0c75">BotTestSpamUserActions::m_Start</a></div><div class="ttdeci">ref BotTestSpamUserActions_Start m_Start</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00150">Bot_TestSpamUserActions.c:150</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_a2aa3e18331637078473ea18a35fa4113"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#a2aa3e18331637078473ea18a35fa4113">BotTestSpamUserActions::BotTestSpamUserActions</a></div><div class="ttdeci">void BotTestSpamUserActions(Bot bot=NULL, BotStateBase parent=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00154">Bot_TestSpamUserActions.c:154</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_a5f071028f60c136dff7b4968ce2bfd25"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f071028f60c136dff7b4968ce2bfd25">BotTestSpamUserActions::m_GetRef</a></div><div class="ttdeci">ref BotTestSpamUserActions_GetEntityFromSlot m_GetRef</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00151">Bot_TestSpamUserActions.c:151</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_a5f4a53ac19bc5e9a1e671c8573e04c43"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#a5f4a53ac19bc5e9a1e671c8573e04c43">BotTestSpamUserActions::m_Entity</a></div><div class="ttdeci">EntityAI m_Entity</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00149">Bot_TestSpamUserActions.c:149</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_a8c7ed5ff17c02a1e4de7cce66d252437"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#a8c7ed5ff17c02a1e4de7cce66d252437">BotTestSpamUserActions::OnEntry</a></div><div class="ttdeci">override void OnEntry(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00171">Bot_TestSpamUserActions.c:171</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_aa76be0e19a6e3f030f7e43df999b3d79"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#aa76be0e19a6e3f030f7e43df999b3d79">BotTestSpamUserActions::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float dt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00191">Bot_TestSpamUserActions.c:191</a></div></div>
<div class="ttc" id="aclass_bot_test_spam_user_actions_html_af489ee89ba63268080fbd074602e7ff7"><div class="ttname"><a href="../../d8/dba/class_bot_test_spam_user_actions.html#af489ee89ba63268080fbd074602e7ff7">BotTestSpamUserActions::OnExit</a></div><div class="ttdeci">override void OnExit(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da1/_bot___test_spam_user_actions_8c_source.html#l00184">Bot_TestSpamUserActions.c:184</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00033">Inventory.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_input_user_data_html"><div class="ttname"><a href="../../d8/d9b/class_inventory_input_user_data.html">InventoryInputUserData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d93/_inventory_input_user_data_8c_source.html#l00002">InventoryInputUserData.c:3</a></div></div>
<div class="ttc" id="aclass_inventory_input_user_data_html_aada3694498f25c7713379f01f4b0b9a7"><div class="ttname"><a href="../../d8/d9b/class_inventory_input_user_data.html#aada3694498f25c7713379f01f4b0b9a7">InventoryInputUserData::SerializeHandEvent</a></div><div class="ttdeci">static void SerializeHandEvent(ParamsWriteContext ctx, HandEventBase e)</div><div class="ttdoc">hand</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d93/_inventory_input_user_data_8c_source.html#l00072">InventoryInputUserData.c:72</a></div></div>
<div class="ttc" id="aclass_inventory_input_user_data_html_ad549c32bdc1e816040479c773417f8e2"><div class="ttname"><a href="../../d8/d9b/class_inventory_input_user_data.html#ad549c32bdc1e816040479c773417f8e2">InventoryInputUserData::SerializeMove</a></div><div class="ttdeci">static void SerializeMove(ParamsWriteContext ctx, int type, notnull InventoryLocation src, notnull InventoryLocation dst)</div><div class="ttdoc">move</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d93/_inventory_input_user_data_8c_source.html#l00005">InventoryInputUserData.c:5</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_a844f213574a12ef6d95e269feeb35cef"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#a844f213574a12ef6d95e269feeb35cef">InventoryLocation::SetAttachment</a></div><div class="ttdeci">proto native void SetAttachment(notnull EntityAI parent, EntityAI e, int slotId)</div><div class="ttdoc">sets current inventory location type to Attachment with slot id set to &lt;slotId&gt;</div></div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html_afdfa2801842c135099e68d21a2e71590"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">InventorySlots::GetSlotIdFromString</a></div><div class="ttdeci">static proto native int GetSlotIdFromString(string slot_name)</div><div class="ttdoc">converts string to slot_id</div></div>
<div class="ttc" id="aclass_script_input_user_data_html"><div class="ttname"><a href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00120">gameplay.c:121</a></div></div>
<div class="ttc" id="aclass_script_input_user_data_html_aa5b61423a27855eb29e42ad278126786"><div class="ttname"><a href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">ScriptInputUserData::Send</a></div><div class="ttdeci">proto native void Send()</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_gab414e48870421e21bf5553f4033493b0"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a></div><div class="ttdeci">proto native void OnUpdate()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00338">tools.c:338</a></div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_d3/dd9/class_bot_f_s_m"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_bot_f_s_m">BotFSM</a></div><div class="ttdoc">Bot Finite State Machine (Hierarchical)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_fb922471f7527a278c6309872d86c75c.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_39d73f2d5d370a78e7bd95801ee9f1ae.html">Bot</a></li><li class="navelem"><a class="el" href="../../d9/da1/_bot___test_spam_user_actions_8c.html">Bot_TestSpamUserActions.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
